package ui.view;

import javax.swing.table.DefaultTableModel;
/**
 * Property Table.
 * 
 * @author Gruppe14
 */
public class PropertyTable extends DefaultTableModel {

	@Override
	public Class<?> getColumnClass(int columnIndex) {
		Class clazz = String.class;
		if (getColumnCount() == 6) {
			switch (columnIndex) {
			case 5:
				clazz = Boolean.class;
				break;
			}
		} else if (getColumnCount() == 5) {
			switch (columnIndex) {
			case 4:
				clazz = Boolean.class;
				break;
			}
		}
		return clazz;
	}
}
